Subject: Re: [PATCH 05/13]: [IPV4/6]: Netfilter IPsec output hooks

From: Patrick McHardy <[email-masked]>
Date: Sun, 04 Dec 2005 23:09:09 +0100

Herbert Xu wrote:
>>before tunnel mode transforms and added a missing dst_output call
>>for the final packet.
> 
> This shouldn't be necessary if you apply it on top of my previous
> patch which made xfrm[46]_output process the first SA and all subsequent
> transport mode SAs.  I've included that patch here again.

Thanks, I've added the correct patch now :) Unless I missed something,
it was still missing a call to dst_output after the last transform
in xfrm4_output_finish, unless we keep the loop in dst_output.